## ros-melodic-lex-node 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(lex_node)

## Compile as C++11, supported in ROS Kinetic and newer
set(CMAKE_CXX_STANDARD 11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  aws_common
  aws_ros1_common
  lex_common_msgs
  lex_common
)

if(AWSSDK_FOUND)
  set(SERVICE lex)
  AWSSDK_DETERMINE_LIBS_TO_LINK(SERVICE OUTPUT)
  link_directories("${AWSSDK_LIB_DIR}")
endif()

add_definitions(-DUSE_IMPORT_EXPORT)

set(LEX_LIBRARY_TARGET ${PROJECT_NAME}_lib)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${LEX_LIBRARY_TARGET}
  CATKIN_DEPENDS roscpp std_msgs lex_common_msgs aws_ros1_common
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${AWSSDK_INCLUDE_DIR}
  ${lex_common_INCLUDE_DIR}
)

add_library(${LEX_LIBRARY_TARGET}
  src/lex_node.cpp
)

target_link_libraries(${LEX_LIBRARY_TARGET}
  ${aws_common_LIBRARIES}
  ${lex_common_LIBRARIES}
  ${catkin_LIBRARIES}
  ${OUTPUT}
)

add_executable(${PROJECT_NAME} src/main.cpp)

target_link_libraries(${PROJECT_NAME} ${LEX_LIBRARY_TARGET})

add_dependencies(${LEX_LIBRARY_TARGET} ${catkin_EXPORTED_TARGETS})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME} ${LEX_LIBRARY_TARGET}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(
  DIRECTORY include/
  DESTINATION include
  FILES_MATCHING PATTERN "*.h"
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY launch/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)
install(DIRECTORY config/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(GMock QUIET)
  if(GMOCK_FOUND)
    add_rostest_gmock(test_lex_node
      test/test_lex_node.test
      test/lex_node_test.cpp
    )
    target_include_directories(test_lex_node PRIVATE
      include
      ${catkin_INCLUDE_DIRS}
      ${GMOCK_INCLUDE_DIRS}
    )
    target_link_libraries(test_lex_node
      ${PROJECT_NAME}_lib
      ${catkin_LIBRARIES}
      ${GMOCK_BOTH_LIBRARIES}
    )
  else()
    include_directories(/usr/include/gmock /usr/src/gmock)
    add_library(${PROJECT_NAME}_libgmock SHARED /usr/src/gmock/src/gmock-all.cc)
    add_rostest_gtest(test_lex_node
      test/test_lex_node.test
      test/lex_node_test.cpp
    )
    target_include_directories(test_lex_node PRIVATE
      include
      ${catkin_INCLUDE_DIRS}
    )   
    target_link_libraries(test_lex_node
      ${PROJECT_NAME}_lib
      ${catkin_LIBRARIES}
      ${PROJECT_NAME}_libgmock
    )
  endif()
endif()

=== debian/changelog ===
ros-melodic-lex-node (2.0.2-1stretch) stretch; urgency=high

  * Update lex_common_msgs and lex_node versions to 2.0.2 (#30 <https://github.com/aws-robotics/lex-ros1/issues/30>)
  * Refactor to make use of lex-common package (#28 <https://github.com/aws-robotics/lex-ros1/issues/28>)
    * Refactor common components of lex-ros1 into lex-common
    * fix missing header file compilation error
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * increment patch version (#25 <https://github.com/aws-robotics/lex-ros1/issues/25>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Add gtest and gmock as test dependencies (#17 <https://github.com/aws-robotics/lex-ros1/issues/17>)
    * Add gtest and gmock as test dependencies
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * modify lex_node to use add_rostest_gmock()
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * update travis.yml to be compatible with specifying multiple package names
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Update to use non-legacy ParameterReader API (#12 <https://github.com/aws-robotics/lex-ros1/issues/12>)
  * Update to use new ParameterReader API (#10 <https://github.com/aws-robotics/lex-ros1/issues/10>)
    * update lex_node_test to use the new ParameterReader API
    * increment major version number in package.xml
  * Revert ParameterReader change (#8 <https://github.com/aws-robotics/lex-ros1/issues/8>)
    * Revert "Updating lex_node_test.cpp to conform to the new ParameterReader API (#6 <https://github.com/aws-robotics/lex-ros1/issues/6>)"
    This reverts commit 98b1fe112bcff0d01cf43620d17e4c956e3e9832.
    https://github.com/aws-robotics/utils-common/issues/15
  * Updating lex_node_test.cpp to conform to the new ParameterReader API (#6 <https://github.com/aws-robotics/lex-ros1/issues/6>)
    * update lex_node_test.cpp to conform to the new ParameterReader API
    * update lex_node to be compatible with newer aws sdk
    * use master branch for cloud extension dependencies
  * Contributors: AAlon, M. M, Ross Desmond, Ryan Newell

 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 22 Jan 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-lex-node
Section: misc
Priority: extra
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), google-mock, libgtest-dev, ros-melodic-aws-common, ros-melodic-aws-ros1-common, ros-melodic-catkin, ros-melodic-lex-common, ros-melodic-lex-common-msgs, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/lex_node
Standards-Version: 3.9.2

Package: ros-melodic-lex-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-aws-common, ros-melodic-aws-ros1-common, ros-melodic-lex-common, ros-melodic-lex-common-msgs, ros-melodic-roscpp, ros-melodic-std-msgs
Description: Package providing a ROS node for interacting with Amazon Lex

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-lex-node//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
